#!/bin/bash

export WM_ARCH=linux
export WM_ARCH_OPTION=64
export WM_COMPILER=Gcc
export WM_COMPILE_OPTION=Opt
export WM_LINK_LANGUAGE=c++
export WM_MPLIB=SYSTEMOPENMPI
export WM_NCOMPPROCS=2
export WM_OPTIONS=linuxGccDPOpt
export WM_OSTYPE=POSIX
export WM_PRECISION_OPTION=DP
export FOAM_VERSION=1.7.1
export WM_PROJECT_DIR=$HOME/OpenFOAM
export WM_PROJECT_USER_DIR=$HOME/OpenFOAM/$USER-$FOAM_VERSION
export FOAM_RUN=$WM_PROJECT_USER_DIR/run
#export FOAM_SOLVERS=/home/const/OpenFOAM/OpenFOAM-1.7.1/applications/solvers
export FOAM_TUTORIALS=$WM_PROJECT_USER_DIR/tutorials
export FOAM_USER_APPBIN=$WM_PROJECT_USER_DIR/applications/bin/$WM_OPTIONS
export FOAM_USER_LIBBIN=$WM_PROJECT_USER_DIR/lib/$WM_OPTIONS
export PATH=$PATH:$FOAM_USER_APPBIN
export WM_PROJECT=OpenFOAM

[ -d $WM_PROJECT_DIR/etc ] || mkdir -p $WM_PROJECT_DIR/etc
[ -f $WM_PROJECT_DIR/etc/controlDict ] || cp /etc/controlDict $WM_PROJECT_DIR/etc/
[ -f $WM_PROJECT_DIR/etc/cellModels ] || cp /etc/cellModels $WM_PROJECT_DIR/etc/
[ -d $FOAM_RUN ] || mkdir -p $FOAM_RUN
[ -d $FOAM_USER_APPBIN ] || mkdir -p $FOAM_USER_APPBIN
[ -d $FOAM_USER_LIBBIN ] || mkdir -p $FOAM_USER_LIBBIN
